Package org.opensaml.xmlsec.encryption.impl

# Class EncryptedKeyImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xmlsec.encryption.impl.EncryptedTypeImpl
org.opensaml.xmlsec.encryption.impl.EncryptedKeyImpl

All Implemented Interfaces:
  `XMLObject`, `EncryptedKey`, `EncryptedType`

public class EncryptedKeyImpl extends EncryptedTypeImpl implements EncryptedKey
Concrete implementation of `EncryptedKey`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private CarriedKeyName`
`carriedKeyName`
CarriedKeyName value.
`private String`
`recipient`
Recipient value.
`private ReferenceList`
`referenceList`
ReferenceList value.

### Fields inherited from interface org.opensaml.xmlsec.encryption.EncryptedKey

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, RECIPIENT_ATTRIB_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

### Fields inherited from interface org.opensaml.xmlsec.encryption.EncryptedType

`ENCODING_ATTRIB_NAME, ID_ATTRIB_NAME, MIMETYPE_ATTRIB_NAME, TYPE_ATTRIB_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`EncryptedKeyImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`CarriedKeyName`
`getCarriedKeyName()`
Gets the child element carrying the human readable name for this key.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`String`
`getRecipient()`
Gets the hint about for whom this encrypted key is intended.
`ReferenceList`
`getReferenceList()`
Gets the child element containing pointers to EncryptedData and EncryptedKey elements encrypted using this key.
`void`
`setCarriedKeyName(CarriedKeyName newCarriedKeyName)`
Sets the child element carrying the human readable name for this key.
`void`
`setRecipient(String newRecipient)`
Sets the hint about for whom this encrypted key is intended.
`void`
`setReferenceList(ReferenceList newReferenceList)`
Sets the child element containing pointers to EncryptedData and EncryptedKey elements encrypted using this key.

### Methods inherited from class org.opensaml.xmlsec.encryption.impl.EncryptedTypeImpl

`getCipherData, getEncoding, getEncryptionMethod, getEncryptionProperties, getID, getKeyInfo, getMimeType, getType, setCipherData, setEncoding, setEncryptionMethod, setEncryptionProperties, setID, setKeyInfo, setMimeType, setType`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.xmlsec.encryption.EncryptedType

`getCipherData, getEncoding, getEncryptionMethod, getEncryptionProperties, getID, getKeyInfo, getMimeType, getType, setCipherData, setEncoding, setEncryptionMethod, setEncryptionProperties, setID, setKeyInfo, setMimeType, setType`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### recipient

@Nullable private String recipient
Recipient value.

### carriedKeyName

@Nullable private CarriedKeyName carriedKeyName
CarriedKeyName value.

### referenceList

@Nullable private ReferenceList referenceList
ReferenceList value.

## Constructor Details

### EncryptedKeyImpl

protected EncryptedKeyImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - namespace URI
  `elementLocalName` - local name
  `namespacePrefix` - namespace prefix

## Method Details

### getRecipient

@Nullable public String getRecipient()
Gets the hint about for whom this encrypted key is intended.

Specified by:
  `getRecipient` in interface `EncryptedKey`
Returns:
  the hint about who this encrypted key is intended for

### setRecipient

public void setRecipient(@Nullable String newRecipient)
Sets the hint about for whom this encrypted key is intended.

Specified by:
  `setRecipient` in interface `EncryptedKey`
Parameters:
  `newRecipient` - the hint about who this encrypted key is intended for

### getReferenceList

@Nullable public ReferenceList getReferenceList()
Gets the child element containing pointers to EncryptedData and EncryptedKey elements encrypted using this key.

Specified by:
  `getReferenceList` in interface `EncryptedKey`
Returns:
  the element containing a list of pointers to encrypted elements

### setReferenceList

public void setReferenceList(@Nullable ReferenceList newReferenceList)
Sets the child element containing pointers to EncryptedData and EncryptedKey elements encrypted using this key.

Specified by:
  `setReferenceList` in interface `EncryptedKey`
Parameters:
  `newReferenceList` - the new reference list for this encrypted key

### getCarriedKeyName

@Nullable public CarriedKeyName getCarriedKeyName()
Gets the child element carrying the human readable name for this key.

Specified by:
  `getCarriedKeyName` in interface `EncryptedKey`
Returns:
  the human readable name for this key

### setCarriedKeyName

public void setCarriedKeyName(@Nullable CarriedKeyName newCarriedKeyName)
Sets the child element carrying the human readable name for this key.

Specified by:
  `setCarriedKeyName` in interface `EncryptedKey`
Parameters:
  `newCarriedKeyName` - the human readable name for this key

### getOrderedChildren

@Nullable @Unmodifiable @NotLive public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Overrides:
  `getOrderedChildren` in class `EncryptedTypeImpl`
Returns:
  ordered list of child elements